﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Clients.Common;
using HeuristicLab.Services.Hive.Common.ServiceContracts;

namespace HeuristicLab.Clients.Hive.Slave.Tests {
  internal class MockServiceLocator : IServiceLocator {

    private MockHiveService service;

    public Disposable<IHiveService> GetService() {
      if (service == null)
        service = new MockHiveService();

      return new Disposable<IHiveService>(service);
    }
  }
}
